Skip to main content
GET
/
v0
/
agents
/
{id}
/
vnc
Get VNC access
curl --request GET \
  --url https://cloud.firebender.com/v0/agents/{id}/vnc \
  --header 'X-API-Key: <api-key>'
{
  "url": "https://preview-sandbox-id.pit-1.try-eu.daytona.app/vnc.html",
  "wsUrl": "wss://preview-sandbox-id.pit-1.try-eu.daytona.app/vnc.html",
  "expiresAt": "2024-01-16T10:30:00Z",
  "token": "eyJhbGciOiJIUzI1NiIs..."
}

Authorizations

X-API-Key
string
header
required

API key from Firebender Dashboard

Path Parameters

id
string
required

Unique identifier for the cloud agent

Example:

"fb_abc123xyz789"

Response

VNC access details retrieved successfully

url
string<uri>
required

Full VNC URL to open in a browser

Example:

"https://preview-sandbox-id.pit-1.try-eu.daytona.app/vnc.html"

wsUrl
string<uri>
required

WebSocket URL for noVNC client connections

Example:

"wss://preview-sandbox-id.pit-1.try-eu.daytona.app/vnc.html"

expiresAt
string<date-time>
required

When the VNC URL expires (24 hours from creation)

Example:

"2024-01-16T10:30:00Z"

token
string

Authentication token for the VNC session, or null if not required

Example:

"eyJhbGciOiJIUzI1NiIs..."